
drop table if exists `workspace_group_workspace`;

create table if not exists `workspace_group_workspace` 
(
  `workspace_group_id` INT UNSIGNED NOT NULL,
  `workspace_id` INT UNSIGNED NOT NULL,
  PRIMARY KEY (`workspace_group_id`, `workspace_id`),
  INDEX `fk_workspace_group_workspace_workspace_idx` (`workspace_id` ASC),
  INDEX `fk_workspace_group_workspace_workspace_group_idx` (`workspace_group_id` ASC),
  CONSTRAINT `fk_workspace_group_workspace_workspace_group`
    FOREIGN KEY (`workspace_group_id`)
    REFERENCES `workspace_group` (`id`)
    ON DELETE CASCADE
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_workspace_group_workspace_workspace`
    FOREIGN KEY (`workspace_id`)
    REFERENCES `workspace` (`id`)
    ON DELETE CASCADE
    ON UPDATE NO ACTION
);

-- add all existing workspaces in default group
INSERT INTO `workspace_group_workspace` (`workspace_group_id`, `workspace_id`)
  SELECT 1, `id` from `workspace`;

-- add dev workspace in test groups
-- INSERT INTO `workspace_group_workspace` (`workspace_group_id`, `workspace_id`)
--   values (3, 1), (4,1);

-- show table result
describe `workspace_group_workspace`;
SELECT * FROM `workspace_group_workspace` LIMIT 1000;