-- drop table if exists `star2`;
-- create table if not exists `star2` like star ;
-- alter table `star2` add column otype VARCHAR(255) after oid;
DROP TABLE IF EXISTS `main_star` ;

CREATE TABLE IF NOT EXISTS `main_star` (
    `id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
    `identifier` VARCHAR(255) NOT NULL,
    `simbad_main_identifier` VARCHAR(255) NOT NULL,
    `oid` int UNSIGNED NOT NULL DEFAULT 0,
    `ra_icrs` double default NULL,
    `dec_icrs` double default NULL,
    `spectral_type` VARCHAR(50) default NULL,
    `simplified_spectral_type` VARCHAR(10) default NULL,
    `simplified_spectral_type_value` INT default NULL,
    `luminosity` VARCHAR(10) default NULL,
    `luminosity_value` INT default NULL,
    `mag_g` VARCHAR(20) default NULL,
    `mag_h` VARCHAR(20) default NULL,
    `mag_k` VARCHAR(20) default NULL,
    `parallax` VARCHAR(20) default NULL,
    PRIMARY KEY (`id`),
    UNIQUE INDEX `uq_stat_identifier` (`identifier` ASC)
);

describe `main_star`;

SELECT * FROM `main_star` LIMIT 100;
